Bug 463947 - debuginfo packages contain files from other builds
debuginfo packages contain files from other builds
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
5.3
All Linux
medium Severity high
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 12:48 EDT by Petr Šplíchal
Modified: 2016-05-31 21:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 03:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
old debuginfo file list (19.46 KB, text/plain)
2008-09-25 13:01 EDT, Petr Šplíchal
no flags Details
new debuginfo file list (24.84 KB, text/plain)
2008-09-25 13:02 EDT, Petr Šplíchal
no flags Details

  None (edit)
Description Petr Šplíchal 2008-09-25 12:48:03 EDT
After building perl package with new rpmbuild I noticed that debuginfo packages contain files from another perl builds.

Version-Release number of selected component (if applicable):
rpm-4.4.2.3-4.el5.i386

Steps to Reproduce:
1. rpmbuild --rebuild /mnt/redhat/brewroot/packages/perl/5.8.8/18.el5/src/perl-5.8.8-18.el5.src.rpm
2. rpm -qlp /usr/src/redhat/RPMS/i386/perl-debuginfo-5.8.8-18.el5.i386.rpm
  
Actual results:

/usr/lib/debug/usr/lib/perl5
/usr/lib/debug/usr/lib/perl5/5.8.5
/usr/lib/debug/usr/lib/perl5/5.8.5/i386-linux-thread-multi
/usr/lib/debug/usr/lib/perl5/5.8.5/i386-linux-thread-multi/CORE
/usr/lib/debug/usr/lib/perl5/5.8.5/i386-linux-thread-multi/CORE/libperl.so.debug
/usr/lib/debug/usr/lib/perl5/5.8.6
/usr/lib/debug/usr/lib/perl5/5.8.6/i386-linux-thread-multi
/usr/lib/debug/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE
/usr/lib/debug/usr/lib/perl5/5.8.6/i386-linux-thread-multi/CORE/libperl.so.debug
/usr/lib/debug/usr/lib/perl5/5.8.7
/usr/lib/debug/usr/lib/perl5/5.8.7/i386-linux-thread-multi
/usr/lib/debug/usr/lib/perl5/5.8.7/i386-linux-thread-multi/CORE
/usr/lib/debug/usr/lib/perl5/5.8.7/i386-linux-thread-multi/CORE/libperl.so.debug
/usr/lib/debug/usr/lib/perl5/5.8.8
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/libperl.so.debug
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/B
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/B/B.so.debug
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/B/C
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/B/C/C.so.debug
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/ByteLoader
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/ByteLoader/ByteLoader.so.debug

Output with the old rpm version (rpm-4.4.2-48.el5.i386.rpm):

/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/libperl.so.debug
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/B/B.so.debug
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/B/C/C.so.debug
/usr/lib/debug/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/ByteLoader/ByteLoader.so.debug

Additional info:

The other thing is that listing contents of debuginfo packages with rpm -qlp
displays also directories. I'm not sure whether this is a feature or not, but it
causes rpmdiff to produce a great amount of errors, as you can see here:

http://errata.devel.redhat.com/rpmdiff/show/30130?result_id=272718
Comment 1 Petr Šplíchal 2008-09-25 13:01:52 EDT
Created attachment 317708 [details]
old debuginfo file list
Comment 2 Petr Šplíchal 2008-09-25 13:02:17 EDT
Created attachment 317709 [details]
new debuginfo file list

Note You need to log in before you can comment on or make changes to this bug.